### Function

# ICalGLib enumarray_clone

since: 4.0

#### Declaration [src]

    ICalEnumArray*
    i_cal_enumarray_clone (
      ICalEnumArray* array
    )

#### Description [src]

Creates a deep copy of `ICalEnumArray` with the same properties as the `array`.

Available since: 4.0

#### Parameters

`array`

  Type: `ICalEnumArray`

  The `ICalEnumArray` to be cloned.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalEnumArray`

The newly cloned `ICalEnumArray` with the same value as the `array`.

The caller of the function takes ownership of the data, and is responsible for freeing it.